# woodpecker.yml
labels:
  hostname: "macmini7"
clone:
  git:
    image: woodpeckerci/plugin-git
    settings:
      partial: false
      depth: 1
steps:
  build-push:
    name: build-push
    when:
      - path:
          include: [ 'resume.yml', 'docker-compose.yml', 'Dockerfile', '.woodpecker.yml', 'resume.html', 'nginx.conf' ]
    image: woodpeckerci/plugin-docker-buildx
    secrets: [REGISTRY_USER, REGISTRY_PASSWORD]
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    commands:
      - echo "$${REGISTRY_PASSWORD}" | docker login -u "$${REGISTRY_USER}" --password-stdin git.nixc.us
      - echo compose up build
      - docker compose build
      - echo compose push
      - docker compose push
  deploy-config:
    name: deploy-config
    when:
      - path:
          # include: [ 'resume.yml', '.woodpecker.yml'  ]
          include: [ 'resume.yml', 'docker-compose.yml', 'Dockerfile', '.woodpecker.yml', 'resume.html', 'nginx.conf' ]
    image: woodpeckerci/plugin-docker-buildx
    secrets: [REGISTRY_USER, REGISTRY_PASSWORD]
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    commands:
      - echo "$${REGISTRY_PASSWORD}" | docker login -u "$${REGISTRY_USER}" --password-stdin git.nixc.us
      - docker stack deploy --with-registry-auth -c ./resume.yml resume
